Skip to main content

Questions tagged [macos]

is a series of proprietary graphical operating systems developed and marketed by Apple Inc.

Filter by
Sorted by
Tagged with
0 votes
1 answer
74 views

Point Cloud Processing Tools on MacOS

I am trying to access the native Point Cloud Processing tools, developed by Lutra Conslting and added to QGIS 3.32 (https://www.lutraconsulting.co.uk/blog/2023/05/30/pointcloud-qgis-processing/). I ...
SamH's user avatar
  • 1
0 votes
0 answers
17 views

Plugin "smart-map" for MacOS: no raster file (TIFF) created

The plugin "smart-map" seems to work fine for QGIS version 3.22.12 (and for higher versions as well). No error message arises for processes in tabs "Data", "Grid" and &...
stonebe's user avatar
  • 467
0 votes
0 answers
58 views

Version error on SAGA NextGen on QGIS and MacOS

I am trying to use SAGA NextGen on QGIS and when I try to run a program I get an error message saying that I need to update the SAGA binaries to 9.1. I am using QGIS 3.34 on MacOS. Is there any way ...
ddomizia's user avatar
  • 648
2 votes
1 answer
468 views

PCRaster Tools, GRASS and SAGA installation on QGIS 3.34.2 for MacOS

I have followed the instructions here https://www.youtube.com/watch?v=RaFrXzw7IvI to install PCRaster Tools via conda, which is working. However it appears that all of my previously installed packages ...
Justine's user avatar
  • 21
0 votes
0 answers
72 views

Why is OK greyed out in my Raster calculator?

I cannot figure out why I cannot click OK on my Raster Calculator. It might be important to note I am on MACBOOK PRO.
Leeam's user avatar
  • 1
0 votes
0 answers
23 views

Using outside Python framework (ObsPy) in QGIS API (PyQGIS) [duplicate]

I would like to use ObsPy, a seismology framework for Python available at https://github.com/obspy within the QGIS Python API. I have been able to use ObsPy to plot moment tensor solutions in an ...
user230663's user avatar
0 votes
0 answers
40 views

QGIS Official Plugin Repository is available in MacOS

No matter which version of QGIS I download, the status of my "plugin repositories" says "unavailbe". And I can't delete this entry as it comes with the system. In addition, when I ...
yuping Ren's user avatar
3 votes
1 answer
105 views

Scale mismatch on different platforms

I just started using QGIS. I need to work with QGIS on three different operating systems (Windows 11 (QGIS 3.26), MacOs 12 (QGIS 3.26) and Ubuntu 22.04 (QGIS 3.22)/Fedora 36-Linux(QGis 3.26). I ...
Helmut Seidel's user avatar
1 vote
0 answers
122 views

Is there a way to link .MDB to QGIS on Mac?

On requesting shapefiles I've been provided with an .mdb file, which I've never used before. I don't have Microsoft Access, and am working with QGIS and am on MacOS. I've researched how I might use ...
lisagravy's user avatar
  • 529
1 vote
0 answers
257 views

Upgrading PostGIS on Mac

I am trying to upgrade PostGIS from 3.1.3 to 3.2.1. It is on MacOS Monterey. Followed the instructions given here run on terminal brew install postgis On pgadmin ALTER EXTENSION postgis UPDATE; ...
Shana's user avatar
  • 638
1 vote
0 answers
15 views

QGIS issue with rule based styling on MacOS

I regularly encounter a strange behavior in QGIS (3.16.8-LTR but also in former versions) when using multiple rule-based styling options. I'm working on MacOS (10.15.7). In the layer display pannel ...
geom's user avatar
  • 1,296
0 votes
0 answers
247 views

Java - Mac OS - GDAL/OGR missing libraries

I'm trying to read/access a geodatabase (.gdb folder) for extracting some data. I can access the database from terminal using >ogrinfo test.gdb.zip and as result i get using driver `OpenFileGDB' ...
WhiteSte's user avatar
1 vote
0 answers
108 views

Adjusting context menu font size (MacOS QGIS)

After adding QSWAT+ plugin, QGIS fonts (menu, layer names, etc) became very small. I've adjusted the font size under Preference > General > Application > Font It has worked for most of the ...
Jason C's user avatar
  • 11
3 votes
1 answer
360 views

Running PyQGIS without using the GUI

I found this topic and it is exactly what I want to do. As @casta2k in 2015 I am running MacOS. So I follow the step and that is what I get : >>> import sys >>> import os >>>...
Meije3984's user avatar
  • 165
2 votes
1 answer
131 views

Raster data rendering incorrectly in QGIS

I just installed QGIS on a new Macbook and am experiencing problems. When I add a raster layer and zoom in and out, the position of the raster changes rapidly. To illustrate the problem, below is a ...
Jan Pisl's user avatar
  • 736
3 votes
1 answer
256 views

QGIS 3.22 zooming pans map incorrectly to the right

I've come across this issue when trying to zoom in OSM. Here is a video of the issue: https://i.imgur.com/emqxC7S.mp4 I don't have it when using the QGIS world map. Basically zooming straight in ...
MikeP's user avatar
  • 33
1 vote
0 answers
41 views

Getting error while linking GDAL on MacOS 11.6 [closed]

(base) sushil@MacbookPro ~ % brew link gdal Linking /usr/local/Cellar/gdal/3.3.2_3... Error: Permission denied @ dir_s_mkdir - /usr/local/lib/python3.9/site-packages/GDAL-3.3.2-py3.9.egg-info (base) ...
sushil's user avatar
  • 11
1 vote
0 answers
778 views

How to set up Python3 with SQLite 3 and SpatiaLite on MacOS

I've developed a converter for spatial data which currently runs on Windows and Linux in Python3. On Windows I need to exchange the given sqlite3.dll for the original one from the SQLite website, for ...
Helmut Seidel's user avatar
2 votes
0 answers
170 views

How to make QGIS for MacOS Python version work from the command line?

I am trying to set up QGIS' Python installation that ships with it for MacOS X for use outside of QGIS. I have found little resources for this for QGIS 3.x on MacOS, the only really helpful resource ...
Christian's user avatar
  • 131
2 votes
0 answers
2k views

GDAL installation using brew failing on MacOS Big Sur with incompatible libtiff library version

I installed GDAL with brew on Big Sur 11.5.1 using: brew install gdal All gdal commands fail though e.g. gdalinfo --version dyld: Library not loaded: /usr/local/opt/libtiff/lib/libtiff.5.dylib ...
Markus M.'s user avatar
  • 236
0 votes
0 answers
38 views

Laptop getting crashed after georeferencing on v 3.18

I just started using QGIS a few weeks ago. Whenever I do georeferencing on OSM using some toposheet and then start the georeferencing, my laptop gets stalled. I have to restart the laptop everytime ...
user188750's user avatar
0 votes
0 answers
239 views

Semi-Automatic Classification Plugin MacOS operational issue

I am using MacOS Big Sur. I have QGIS 3.18.x installed on my system. At another place in my office, I have Ubuntu Linux 21.04, and with QGIS 3.18.x installed. As an additional information, both the ...
Indian's user avatar
  • 318
1 vote
2 answers
919 views

QGIS 3.18 dyld: Symbol not found: __cg_jpeg_resync_to_restart

MacOS High Sierra (10.13), QGIS 3.18 Zurich, GRASS 7.8, GDAL/OGR 2.4.1, Python 2.7 DYLD_LIBRARY_PATH set to "/Applications/QGIS-3.18.app/Contents/MacOS/lib" With a fresh installation of QGIS ...
MarJoM's user avatar
  • 31
2 votes
1 answer
238 views

QGIS/Python configuration

This question came from another topic: QGIS - creating VRT does nothing. MacOS High Sierra (10.13), QGIS 3.10 Coruña, GRASS 7.8, GDAL/OGR 2.4.1, Python 2.7 The installation of GRASS was tricky (qgis ...
MarJoM's user avatar
  • 31
0 votes
2 answers
564 views

Unable to upgrade QGIS from 3.14 to 3.16.5 or 3.18.1

I have run many versions of QGIS 2 and 3 on two Mac computers. I have not been able to get 3.16.5 (LTR) or 3.18.1 to work on either of them. However, on a third computer which has never had QGIS ...
kbjshop's user avatar
  • 63
1 vote
0 answers
764 views

QGIS 3.18 and 3.16 LTR install. GRASS and SAGA not working. MacOS OSX

I have tried to update QGIS on Mac to either version 3.18 or 3.16 using the installers on the QGIS page (https://qgis.org/en/site/). I have been having issues getting the GRASS and SAGA providers ...
Sethinacan's user avatar
  • 1,726
0 votes
0 answers
475 views

QGIS v3.10.6 and MacOS 11 (Big Sur): Compatible or not?

I have not found any conclusive answer from Web searches, including QGIS Web site, whether QGIS v3.10.6 is compatible with the current MacOS 11 (Big Sur) on an Intel-based Macbook Pro (2019). Any help ...
Bob Nielsen's user avatar
1 vote
0 answers
498 views

QGIS 3.16.3 uses Python 3.7.7 while I want it to use Python 3.9.1 already on my MacOS Big Sur

MacOS: Big Sur 11.1 QGIS: 3.16.3 KyngChaos said that QGIS 3.16 is using Python 3.9.X (strictly) and I installed this in my system, however the Python bundled with QGIS is 3.7.7. It is strange that ...
shotgun's user avatar
  • 11
0 votes
0 answers
334 views

QGIS 3.16.1: Clip by mask layer not working in macOS Big SUR

I am having an issue with clipping my raster as per the vector mask layer. I did try to counter the issue with projecting both files in same CRS, however, still getting the same error (ERROR 1: ...
shotgun's user avatar
  • 11
0 votes
0 answers
266 views

PostGIS install not completing

Running psql (13.1, server 12.4) trying to install PostGIS. OS X 10.13.6. postgis installed via brew install postgis. CREATE EXTENSION postgis; ERROR: could not load library "/usr/local/lib/...
Jerome's user avatar
  • 277
1 vote
0 answers
36 views

Use OS-specific file dialog to relink layer when file moves?

When I move a file out from under QGIS, of course I have to tell the program where it moved to. If you close a QGIS project and then move or rename a layer source file, you get a prompt when you ...
Alan Harper's user avatar
3 votes
1 answer
4k views

Is QGIS working on new Apple computers, Silicon M1 Processor [closed]

Does QGIS work on the new M1 Apple processors? Is it working natively or with Rosetta emulation?
Nicole's user avatar
  • 41
1 vote
1 answer
1k views

Unable to library "rgdal" and "gdalUtils" after upgrading to macOS big sur

I just upgraded my laptop to macOS big sur, but then I could not library "rgdal" and "gdalUtils". It threw me an error: Error: package or namespace load failed for ‘rgdal’ in dyn....
Liam Zhong's user avatar
7 votes
2 answers
21k views

“Cannot find proj.db” and "ERROR 1: PROJ: proj_create_from_database: cannot build geodeticCRS 4326" errors

Updated to QGIS 3.16 recently, when I try to reproject from the datafiles CRS EPSG:4326 - WG 84 to EPSG:32718 - WG84/UTM zone 18S I get this error ERROR 1: PROJ: proj_create_from_database: Cannot find ...
Heather Needham's user avatar
0 votes
0 answers
32 views

Option to save as GeoPDF greyed out 3.14.16 MacOS Catalina

I've been looking through post asking the same question but can't get it work. This post Why can't I make GeospatialPDFs using QGIS 3.14? mentioned a "PDF driver there for creating Geospatial ...
Stéphanie Périquet's user avatar
1 vote
0 answers
126 views

Python libraries for MacOS

In the win10 version of QGIS, you can install extra Python packages with pip commands directed at the QGIS python 3 environment. For example, I've got access to scikit-learn form my QGIS Python ...
Patrice Carbonneau's user avatar
1 vote
0 answers
1k views

How to uninstall QGIS 3.8 from MacOS in a clean way?

I have two installations of QGIS, 3.14 and 3.8, I want to uninstall 3.8. What is the proper way to do it? Do these instructions also apply to this newer version? The following are the paths that the ...
braulio's user avatar
  • 111
2 votes
2 answers
2k views

Installing QGIS on Mac OS

I have installed Python 3.6.8 and am attempting to run QGIS 3.14 on Mac OS 10.15.5. I get this message, which doesn't show in any existing questions I could find: Should I try an earlier version of ...
Alan James's user avatar
0 votes
0 answers
567 views

Cannot open Esri Geodatabase files on QGIS 3.12 and 3.13 on MacOS Catalina

I've been struggling for the last two days to get QGIS 3.12 running on macOS Catalina to open ESRI Geodatabase (GDB) files. I've tried using OpenFileGDB with no luck - I just get the following error "...
Peter Caristo's user avatar
1 vote
2 answers
827 views

Using gdal2tiles on mac [closed]

I need to create some map illustrated tiles to use in leaflet.js for a small web-app I'm building. So far I've been unable to install and configure the GDAL package to work for me. The things I have ...
bitfidget's user avatar
  • 111
2 votes
1 answer
2k views

Building GDAL for iOS

I am interested in building GDAL for iOS. I have managed to build successfully for macOS by building from sources with: ./configure --with-python=python3 --with-proj=/usr/local/Cellar/proj/7.0.1 --...
atineoSE's user avatar
  • 123
10 votes
2 answers
17k views

My Mac always showed this notification "QGIS 3.12 (QGIS 3.10) can't be opened because Apple cannot check it for malicious software"

I am doing dialectology, and I was trying to install QGIS 3.12 (and QGIS 3.10 before) to use it in my study. Every time I opened the software my Mac always showed this notification "QGIS 3.12 ( QGIS3....
Marvin Abreu's user avatar
1 vote
0 answers
378 views

AusMap plugin loading/install error

I receive the following error running 3.8 on macOS High Sierra - thoughts? Couldn't load plugin 'AusMap' due to an error when calling its initGui() method AttributeError: 'NoneType' object has no ...
Shane's user avatar
  • 21
0 votes
0 answers
245 views

Why is my PYTHONPATH setting itself to QGIS?

I'm trying to cleanup Python on my Mac. I keep getting this message in Terminal: Your PYTHONPATH points to a site-packages dir for Python 3.x but you are running Python 2.x! PYTHONPATH is ...
Kristen G.'s user avatar
  • 1,100
0 votes
0 answers
649 views

Will QGIS run on the latest MacOSX Catalina?

I'm a lecturer at the University if the Highlands and Islands. We want to buy a MacBook Pro in the department (School of Adventure Studies), primarily to run QGIS. however, it is likely to come with ...
Jose Navarro's user avatar
1 vote
2 answers
3k views

Which versions of python3 can we use with current QGIS3 version

Mac OS 10.04, QGIS 3.10. I have been a way from QGIS for a while and I am now setting up a "new" Mac and having my usual battle with python. Great to see that we now have signed package for QGIS but ...
Russell Fulton's user avatar
1 vote
0 answers
38 views

How to update or uninstall new "All-In-One" QGIS macOS packages

Recently new "All-In-One" QGIS packages for macOS have been released. This new packages make installation very simple but inside the .dmg file I have not found any readme file for uninstalling or ...
Andrew-63's user avatar
  • 643
0 votes
1 answer
1k views

Adding QGIS-specific Python interpreter to PyCharm on MacOS?

I have seen the below question, and searched around the internet for a tutorial for instructions on getting Pycharm CE to recognise the QGIS package. I have found which interpreter that QGIS is using, ...
JamesLeversha's user avatar
1 vote
1 answer
3k views

Importing Geopandas gives OSError: Could not find libspatialindex_c library file

I would like to begin with geopandas but I have an issue when I import it. Terminal return me this message : >>>import geopandas Traceback (most recent call last): File "<stdin>", ...
Tim C.'s user avatar
  • 1,516
3 votes
1 answer
1k views

Installing PostGIS on Mac OS

I am running PostgreSQL 9.0 on Mac OS 10.5. I've installed postgis-pg90-1.5.3-1-osx through "Stack Builder" but still don't see postgis in my list of databases when I open PgAdmin. When I ...
Far's user avatar
  • 31